function Person(name) {
    this.jump = function (distance) {
        if (distance == null) {
            distance = 1;
        }
        console.log(name + " jumped " + distance + "m into the air");
    };
}
function Hero(name) {
    Person.call(this, name);
    var _self = this;
    var _jump = this.jump;
    this.jump = function () {
        _jump.call(_self, 10);
    };
}
Hero.prototype = Object.create(Person);
var gwen = new Person("Gwen Stacy");
var peter = new Hero("Peter Parker");
gwen.jump();
peter.jump();